/*
 *  Copyright (C) 2011 Stephen F. Booth <me@sbooth.org>
 *  All Rights Reserved
 */

#import <Cocoa/Cocoa.h>

@protocol PlayerMethods;

// ========================================
// The interface to Decibel
// ========================================
@protocol DecibelAppMethods

// Supported audio file types
- (NSArray *) supportedFileExtensions;
- (NSArray *) supportedMIMETypes;

// The audio player
- (NSObject <PlayerMethods> *) player;

// Display the text in the player status area
- (void) displayStatus:(NSString *)text;
- (void) displayStatus:(NSString *)text duration:(NSTimeInterval)duration;

// Display the text (and optional image) in the bezel
- (void) displayBezelWithText:(NSString *)text;
- (void) displayBezelWithText:(NSString *)text image:(NSImage *)image;
- (void) displayBezelWithText:(NSString *)text image:(NSImage *)image duration:(NSTimeInterval)duration;

@end
